fusialDocs

Get a template

GET
/templates/{id}
x-api-key<token>

Your workspace API key. Create and manage keys in your Fusial workspace settings. Keys carry scopes of the form resource:action.

In: header

Path Parameters

id*string

The template id.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/templates/string"
{
  "template": {
    "id": "string",
    "name": "string",
    "description": "string",
    "contractType": "NDA",
    "ourRole": "COUNTERPARTY",
    "titlePattern": "string",
    "fileName": "string",
    "updatedAt": "2019-08-24T14:15:22Z",
    "variables": [
      {
        "key": "string",
        "label": "string",
        "type": "text",
        "required": true,
        "options": [
          "string"
        ],
        "binding": "counterparty.name",
        "defaultValue": "string",
        "helpText": "string",
        "requiresInput": true,
        "gates": [
          {
            "tag": "string",
            "whenOn": true
          }
        ]
      }
    ],
    "sections": [
      {
        "tag": "string",
        "label": "string",
        "helpText": "string",
        "groupId": "string",
        "defaultOn": true,
        "control": "rep",
        "repCanOverrideRule": true,
        "gates": [
          {
            "tag": "string",
            "whenOn": true
          }
        ],
        "preview": "string"
      }
    ],
    "sectionGroups": [
      {
        "id": "string",
        "label": "string",
        "helpText": "string",
        "required": true,
        "defaultTag": "string"
      }
    ]
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}